## sugar-chat-activity-0.84 65

=== debian/changelog ===
sugar-chat-activity-0.84 (65-4) unstable; urgency=low

  * Drop no longer used pkgbase variable in debian/rules.
  * Update python-sugar.mk to replace superfluous COPYING files with
    symlinks.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Refresh patch.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Include debhelper.mk (do not rely on python-sugar.mk including it).
  * Bump standards-version to 3.8.4.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust years for debian/*.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 23:31:59 +0200

sugar-chat-activity-0.84 (65-3) unstable; urgency=low

  * Use branch shortlog in Vcs-Browser stanza.
  * Update CDBS snippets:
    + Fix copyright years.
    + Fix use underscore (not dash) for internal variables.
    + Fix build-depend unversioned on python-sugar-toolkit, to allow
      branched packages.
    + Fix include branched activities in python-sugar.mk.
    + Build-depend branched/unbranched on python-sugar-toolkit based on
      new variable DEB_SUGAR_BRANCHES in python-sugar.mk.
  * Fix build-depend on branched python-sugar-toolkit.
  * Update debian/copyright: Adjust copyright years.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2009 11:58:09 +0200

sugar-chat-activity-0.84 (65-2) unstable; urgency=low

  * Add note on OLPC origin in long description.
  * Update debian/control format to DEP5 rev54.
  * Bump up policy compliance to standards version 3.8.3.
  * Append major version (0.84) to binary and source package.
  * Provide, conflict with and replace unbranched package.
  * Set versioned upstream and debian branches in gbp.conf.
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Fix double build-dependency on cdbs.
  * Disable watch file. Add note on lack of upstream namespace.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Sep 2009 22:01:22 +0200

sugar-chat-activity (65-1) unstable; urgency=low

  * New upstream release.
  * Update dependencies:
    + Handle binary (not only source) dependencies in rules file
    + Tighten Sugar-related dependencies to 0.84 branch
    + Depend on python-cjson
  * Add README.source (and drop CDBS hints and README.packaging).
  * Update CDBS snippets:
    + Minor updates to buildinfo.mk and copyright-check.mk
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones)
    + Extend package-relation.mk to handle debhelper 6 and 7.0.1
    + Internal rewrite of upstream-tarball.mk
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Use sugarlabs.org (not laptop.org) as upstream URLs.
  * Update debian/copyright:
    + Rewrite to use DEP5 r48 proposed machine-readable format
    + Fix copyright years
  * Bump policy compliance to Standards-Version 3.8.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 May 2009 12:48:40 +0200

sugar-chat-activity (48-2) unstable; urgency=low

  * Adjust upstream source in debian/copyright and in watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2008 04:06:54 +0100

sugar-chat-activity (48-1) unstable; urgency=low

  * New Upstream Version
  * Depend on ${misc:Depends}.
  * Update local CDBS snippets:
    + python-sugar.mk: Install into right path. Closes: bug#507326.
    + python-sugar.mk: Install as non-localized activity name.
    + python-sugar.mk: Dynamically update locale entries in MANIFEST.
  * Semi-auto-update debian/control to tighten build-dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2008 03:15:19 +0100

sugar-chat-activity (45-1) unstable; urgency=low

  * New upstream release.
  * Install setup.py again (does no harm, and simplifies our rules).
  * Update cdbs snippets:
    + Move dependency cleanup to new local snippet package-relations.mk.
    + Update copyright-check output to more closely match proposed new
      copyright file format.  Update copyright-hints.
    + Update README.cdbs-tweaks.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Aug 2008 21:48:48 +0200

sugar-chat-activity (41-1) unstable; urgency=low

  * New upstream release.
  * Fix upstream URL in debian/copyright to point to Chat (not Journal).
  * Update local cdbs snippets:
    + Fix python-sugar.mk to work with recent python-sugar-toolkit where
      MANIFEST files are ignored and an internal hardcoded exception
      list is used instead.  Tighten build-dependency.  Drop use of (now
      irrelevant) DEB_PYTHON_SUGAR_MANIFEST.
    + Relax copyright-check to only warn about its discoveries.  Closes:
      bug#486961.
  * Update debian/copyright-hints.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Jun 2008 19:42:34 +0200

sugar-chat-activity (40-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 0001 applied upstream.
  * Fix upstream URL in watch file.
  * Update debian/copyright:
    + Add URL to upstream tarball source.
    + Use exact URL for upstream Git source.
    + Reorganize to only mention each license once.

